package cn.com.ctop.toutiao.modules.material.service;

import cn.com.ctop.common.module.entity.CtopOauthToken;
import cn.com.ctop.toutiao.modules.material.entity.ByteDanceAdvertisePlan;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;

import java.util.Map;

/**
 * @author jeecg-boot
 */
public interface IByteDanceAdvertiserDataService {

    JSONObject getAdvertiserList(String token, Long accountId);

    Map<String, Object> getAdvertiserInfo(String accountId, String token);

    ByteDanceAdvertisePlan getSinglePlanById(CtopOauthToken token, String id);

    Map<String, Object> getAdvertiserPlan(CtopOauthToken token, String ids, String date, String updateDate);

    Map<String, Object> getAdvertiserBudget(String accountId);

    Map<String, Object> getAdvertiserCreativeMaterial(String accountId, String creativeIds);

    Map<String, Object> advertiserPlanUpdateStatus(CtopOauthToken token, String adIds, String optStatus);

    Map<String, Object> advertiserPlanUpdateBid(CtopOauthToken token, String adIds, String bids);

    Map<String, Object> advertiserPlanUpdateBudget(CtopOauthToken token, String adIds, String budgets);

    Map<String, Object> advertiserCustomAudienceSelect(String accountId);

    Map<String, Object> getAdvertiserCampaignList(String accountId);

    Map<String, Object> flowPackageGet(String accountId);

    void getMaterialList(CtopOauthToken token);

    void getImageByPage(CtopOauthToken token, String imageIds, int page);

    JSONArray advertiserList(String token);


    void getBytedancePlanList(String accountId, String accessToken, int pageNum, String createDate, String updateDate);

}
